# SSW (Squi's Simple Webserver)

This is a simple web server expanding on the example given in the Rust book. At the present time, it answers with static html.

TODO:
* Also answer css requests, pictures, etc => OK
* Fully integrate the config path => Ok
* Gather info about the client (IP, User-Agent, etc) to do funny stuff with it => Just printing client's adress for now
* Use arguments => Done, clap is very very nice !
* Not satisfied with the way root_folder is handled, being passed on from one function to another.

# Usage
```
A simple web server. Conf file must be  toml or ini. Example: 

        threads = 10
        bind_addr = "0.0.0.0:7878"
        root_folder = "/my/web/site"

Usage: ssw -c <CONF_FILE>

Options:
  -c <CONF_FILE>
          

  -h, --help
          Print help information (use `-h` for a summary)
```

# Documentation
See the doc folder.
